%define _realname linky
%define _chromedir %_libdir/mozilla/chrome

Name: mozilla-addon-linky
Version: 2.0.0
%define _foover %(echo %{version} | tr -d .)
Release: alt1
Summary: Easy access to open links and pictures on webpages
License: MPL
URL: http://linky.mozdev.org/
Group: Networking/WWW
Packager: Victor Forsyuk <force@altlinux.ru>
Source0: http://downloads.mozdev.org/linky/linky-%_foover.xpi
Source1: installed-chrome-%_realname.txt
BuildArch: noarch
BuildRequires: unzip
Requires: mozilla >= 1.4-alt5

%description
Linky is a very simple addon to the context menu that provide you with
the following:

* Opens all links in a selection in new tabs or windows
* Finds and opens link in plain text in a new tab or window
* Opens all links on page in new tabs or windows
* Open all links that appears to be linking to an image in new tabs
  or windows
* Shows all links that appears to be linking to an image in one new
  tab or window
* Open all links that appears to be linking to an image in one new tab
  or window
* Download all links on page
* Validate all links on page
* Select links Dialog
* Preferences panel

%prep

%install
install -d $RPM_BUILD_ROOT%_chromedir
unzip %{SOURCE0} -d $RPM_BUILD_ROOT%_chromedir
rm -f $RPM_BUILD_ROOT%_chromedir/*.js
install -m644 %_sourcedir/installed-chrome-%_realname.txt $RPM_BUILD_ROOT%_chromedir

%files
%_chromedir/*.jar
%_chromedir/installed-chrome-%_realname.txt

%post
umask 022
cat %{_chromedir}/installed-chrome-*.txt >%{_chromedir}/installed-chrome.txt

%postun
umask 022
cat %{_chromedir}/installed-chrome-*.txt >%{_chromedir}/installed-chrome.txt

%changelog
* Thu May 20 2004 Victor Forsyuk <force@altlinux.ru> 2.0.0-alt1
- Initial build for Sisyphus.
